Skip to content
Start here

Create a content policy

POST/accounts/{account_id}/email-security/settings/content_policies

Creates a new content policy. Emails whose subject or body matches the pattern will be subject to the configured action.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: Write
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
Body ParametersJSONExpand Collapse
enabled: boolean
name: string
maxLength256
minLength1
pattern: string
maxLength2048
minLength1
targets: array of "SUBJECT" or "BODY"
One of the following:
"SUBJECT"
"BODY"
notes: optional string
maxLength4096
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional object { id, created_at, enabled, 5 more }

A content policy pattern that matches against the subject or body of an email.

id: optional string

Content policy identifier.

formatuuid
created_at: optional string
formatdate-time
enabled: optional boolean
modified_at: optional string
formatdate-time
name: optional string
maxLength256
minLength1
notes: optional string
maxLength4096
pattern: optional string
maxLength2048
minLength1
targets: optional array of "SUBJECT" or "BODY"
One of the following:
"SUBJECT"
"BODY"

Create a content policy

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/content_policies \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "enabled": true,
          "name": "Block phishing keywords",
          "pattern": "urgent.*verify.*account",
          "targets": [
            "SUBJECT"
          ],
          "notes": "Blocks common phishing subject lines"
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "enabled": true,
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "name": "Block phishing keywords",
    "notes": "Blocks common phishing subject lines",
    "pattern": "urgent.*verify.*account",
    "targets": [
      "SUBJECT"
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "enabled": true,
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "name": "Block phishing keywords",
    "notes": "Blocks common phishing subject lines",
    "pattern": "urgent.*verify.*account",
    "targets": [
      "SUBJECT"
    ]
  }
}